Subject: Re: Pine Crash When Replying

From: [email-masked] (Jamie Royer)
Date: 15 Jan 96 11:07:10 PST

[email-masked] (Michael Polak) writes:
>I'm running Pine 3.91 on a Data General DG-UX system.  After I select
>'R' to reply to a message, I'm asked if I want to include the original
>text in the reply, and Pine crashes if I answer either Yes or No.

I have successfully compiled Pine 3.91 on a DG AViiON machine!  I don't
know why the following works, it just does.

Machine: dgux devel 5.4R3.10 generic AViiON mc88110

pine3.91/imap/ANSI/c-client/os_d-g.c
  - add a line.  Shown with '+'.
  - This was posted by several other people.

   #include "log_std.c"
   #include "gr_waitp.c"
   #include "tz_sv4.c"
+  #include <utime.h>

   #undef utime

pine3.91/pico/composer.c
   - Function: ArrangeHeader().
   - I traced the error to this piece of the code.  It would never
     return from this function.  I couldn't see anything wrong, but I
     added '{' and '}' to the "while" statement because I was adding
     debug statements.  Shown with "^^^". 

  line 1630:  while(headents[e+1].name || (l && l->next)) {
       1631:    if(l = next_hline(&e, l)){               ^^^
       1632:        ods.cur_l = l;
       1633:        ods.cur_e = e;
       1634:    }
       1635:  }
             ^^^
pine3.91/pico/makefile.d-g
  - change two lines.  Not sure if this is necessary, but it started
    working right after I did this.  I changed the lines to use "dbx".
    After stepping through the program while trying to "reply" to a
    message, it worked.  I exited "dbx" and it worked from the command
    line.

  line 51: #includes symbol info for debugging
       52: #DASHO=      -g
       53: #for normal build
       54: DASHO=       -O

CHANGE TO (enable debugging):

  line 51: #includes symbol info for debugging
       52: DASHO=       -g              /* removed # */
       53: #for normal build
       54: #DASHO=      -O              /* added # */

----------------------------------------------------------------------
Jamie Royer                         Tel:    (604) 775-2879
Senior Programmer                   Fax:    (604) 775-2880
GAEA Management & Consulting Ltd.   E-Mail: [email-masked]
Burnaby, BC, Canada
----------------------------------------------------------------------
         My opinions may be wrong, but at least they're my own.